Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000360Core InformPhrases and functional programmingpublic2010-10-27 08:222014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000360: Missing colon in a case results in an incorrect (though helpful) problem message
DescriptionThe attached source provokes this error, which is surprising because ``-- 0 say "Okay."'' doesn't use begin or end:

- - - -
Problem. The rule or phrase definition 'When play begins' seems to use both ways of grouping phrases together into 'if', 'repeat' and 'while' blocks at once. Inform allows two alternative forms, but they cannot be mixed in the same definition.
 One way is to end the 'if', 'repeat' or 'while' phrases with a 'begin', and then to match that with an 'end if' or similar. ('Otherwise' or 'otherwise if' clauses are phrases like any other, and end with semicolons in this case.) You use this begin/end form here, for instance - '-- 0 say "Okay."' .

 The other way is to end with a colon ':' and then indent the subsequent phrases underneath, using tabs. (Note that any 'otherwise' or 'otherwise if' clauses also have to end with colons in this case.) You use this indented form here - 'if x is' .
- - - -
Minimal Source Text To Reproduce
There is a room.

When play begins:
	let x be zero;
	if x is:
		-- 0
			say "Okay."
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001363)
graham (administrator)
2011-10-15 01:49

There's now a more helpful problem message.

- Issue History
Date Modified Username Field Change
2010-10-27 08:22 EmacsUser New Issue
2010-10-27 11:09 EmacsUser Summary Missing colon in a case results in helpful, though incorrect problem message => Missing colon in a case results in an incorrect (though helpful) problem message
2010-10-28 00:46 jmcgrew Status new => acknowledged
2010-10-30 21:48 jmcgrew Status acknowledged => confirmed
2011-10-15 01:49 graham Note Added: 0001363
2011-10-15 01:49 graham Status confirmed => resolved
2011-10-15 01:49 graham Resolution open => fixed
2011-10-15 01:49 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker